Project

General

Profile

Bug #9027

HAProxy: Unknown keyword lua-load

Added by Karl Fritsche 4 months ago. Updated 4 months ago.

Status:
New
Priority:
High
Assignee:
-
Category:
haproxy
Target version:
-
Start date:
10/09/2018
Due date:
% Done:

0%

Estimated time:
Affected Version:
2.4.4
Affected Architecture:
amd64

Description

After upgrading pfSense from 2.4.3_1 to 2.4.4 our haproxy didn't started anymore.

The error we got was `Unknown keyword "lua-load"`
After some investigation we noticed with `ldd haproxy` that the lua library was not loaded anymore and it seems haproxy for 2.4.4 is not compiled with lua option anymore.

As a workaround we switched now to haproxy-devel, where it seems lua is still loaded, but we are not sure how stable the haproxy-devel branch is.

Comparing the `Makefile` between 2.4.3_1 and 2.4.4 there were some changes, but I'm not that good with Makefiles to be sure.

2.4.3_1: https://github.com/pfsense/FreeBSD-ports/blob/v2.4.3_1/net/haproxy/Makefile
2.4.4: https://github.com/pfsense/FreeBSD-ports/blob/v2.4.4/net/haproxy/Makefile

In 2.4.4. the `LUA_MAKE_ARGS` are never added to the `MAKE_ARGS` like in 2.4.3_1.

History

#1 Updated by Pi Ba 4 months ago

Should be fixed now, thanks for reporting.

Also available in: Atom PDF